DROP TABLE IF EXISTS `plugin_chronopost_zips_data`;

CREATE TABLE IF NOT EXISTS `plugin_chronopost_zips_data` (
  `country_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `postal_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `city` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `latitude` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `longitude` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

DROP TABLE IF EXISTS `plugin_chronopost_labels`;

CREATE TABLE IF NOT EXISTS `plugin_chronopost_labels` (
  `orderId` int(10) unsigned NOT NULL,
  `filePath` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`orderId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE='utf8_unicode_ci';

DROP TABLE IF EXISTS `plugin_chronopost_generate_label_rules_config`;

CREATE TABLE IF NOT EXISTS `plugin_chronopost_generate_label_rules_config` (
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `is_enabled` ENUM('0', '1') DEFAULT '0',
  `value` TEXT COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT IGNORE INTO `plugin_chronopost_generate_label_rules_config` (`name`, `is_enabled`, `value`) VALUES
('generateLabelRules', '0', '{"chrono_relais":{"product_code":"86","type":"national","customer_group":"no","pickup":"1"},"chrono_relais_86":{"product_code":"86","type":"national","customer_group":"yes","pickup":"1"},"chrono_18":{"product_code":"16","type":"national","customer_group":"no","pickup":"0"},"chrono_13":{"product_code":"01","type":"national","customer_group":"yes","pickup":"0"},"chrono_classic":{"product_code":"44","type":"international","customer_group":"","pickup":"0"},"inter_relais":{"product_code":"49","type":"international","customer_group":"","pickup":"1"}}');

DROP TABLE IF EXISTS `plugin_chronopost_rules_config`;

CREATE TABLE IF NOT EXISTS `plugin_chronopost_rules_config` (
    `name` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
    `value` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
    PRIMARY KEY (`name`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT IGNORE INTO `shopping_shipping_service_label` (`name`, `label`) VALUES
('chronopost', 'Chronopost');

UPDATE `plugin` SET `version` = '2.2.4' WHERE `name` = 'chronopost';
